Download it now!
Bug 40472 - FORMATTING: Cannot format the DataPilot headers
Summary: FORMATTING: Cannot format the DataPilot headers
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.4.2 release
Hardware: Other All
: medium trivial
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Pivot-Table
  Show dependency treegraph
 
Reported: 2011-08-29 15:11 UTC by Giovanni Romero
Modified: 2019-04-28 02:46 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
In the example, the data were taken from the database Bibliography, through a query named Query1: SELECT "Identifier", "Author", "Publisher", "Title", "Custom1" FROM "biblio" (11.94 KB, application/vnd.oasis.opendocument.spreadsheet)
2011-08-29 15:11 UTC, Giovanni Romero
Details
example pivot table (14.50 KB, application/vnd.oasis.opendocument.spreadsheet)
2012-04-11 08:19 UTC, sasha.libreoffice
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Giovanni Romero 2011-08-29 15:11:39 UTC
Created attachment 50672 [details]
In the example, the data were taken from the database Bibliography, through a query named Query1: SELECT "Identifier", "Author", "Publisher", "Title", "Custom1" FROM "biblio"

Hello!

When I use DataPilot to add the result of a query in LibreOffice Calc. I cannot format the headers in the result, althought I can copy the format from other cell, through the format brush.

The problem is that the format sets to default when I update the table.
Comment 1 Jared 2011-12-22 09:55:33 UTC
This is a feature which is in MS Excel and is a HUGE advantage to aesthetics and usefulness in creating a final product.  I feel Calc feels and looks archaic until this is implemented.

Persistent style formatting is important. Please add this feature!
Comment 2 sasha.libreoffice 2012-04-11 08:19:44 UTC
Created attachment 59808 [details]
example pivot table

Initially attached example shows error about not existing query. I created example pivot table according to this site:
http://voices.yahoo.com/using-libreoffice-calc-create-pivot-8987185.html
I changed color of different cells in pivot table. It remains after reloading.
Comment 3 Jared 2012-04-12 06:37:04 UTC
Thanks for the great ODS example file!

I see what you mean by the formatting staying consistent when the content changes by the linked data and is refreshed.

However, what I am requesting is for the "header" cells to remain formatted after the "variables" from the drop-down menus are adjusted and the data is reordered.
Comment 4 QA Administrators 2015-01-05 17:51:51 UTC Comment hidden (obsolete)
Comment 5 Buovjaga 2015-01-23 16:57:31 UTC
Yep, the colors disappear after sorting in attachment 59808 [details].

Win 7 Pro 64-bit Version: 4.5.0.0.alpha0+
Build ID: 07e84cae983c08afdba03018413a19d01abb3006
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2015-01-19_06:15:38
Comment 6 QA Administrators 2016-02-21 08:36:19 UTC Comment hidden (obsolete)
Comment 7 surcouf 2018-04-27 12:25:07 UTC
The bug is still present, tested today using this version of LO Calc: Version: 6.0.3.2 (x64) and this machine properties: CPU-Threads: 4; BS: Windows 10.0; UI-Render: Standard;
Comment 8 QA Administrators 2019-04-28 02:46:10 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug